%global debug_package %{nil}

Summary:    OCI network stack
Name:       netavark
Version:    1.5.0
Release:    2%{?dist}
License:    ASL 2.0 and BSD and MIT
URL:        https://github.com/containers/netavark
Source0:    %{url}/archive/v%{version}.tar.gz
Source1:    %{url}/releases/download/v%{version}/%{name}-v%{version}-vendor.tar.gz

BuildRequires: make
BuildRequires: cargo go-md2man rust-srpm-macros git-core rust-packaging protobuf-c protobuf-compiler
Recommends:    aardvark-dns >= %{version}-1
Provides:      container-network-stack = 2

ExclusiveArch: %{rust_arches}

%description
Netavark is a rust based network stack for containers. It is
being designed to work with Podman but is also applicable for
other OCI container management applications.


%prep
%autosetup %{name}-%{version} -a 1
mkdir -p .cargo

cat >.cargo/config << EOF
[source.crates-io]
replace-with = "vendored-sources"

[source."https://github.com/containers/netavark-dhcp-proxy"]
git = "https://github.com/containers/netavark-dhcp-proxy"
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF

%build
cargo build --release
mkdir -p bin
cp target/release/%{name} bin/

cd docs
go-md2man -in %{name}.1.md -out %{name}.1

%install
%make_install PREFIX=%{_prefix}

%files
%license LICENSE
%dir %{_libexecdir}/podman
%{_libexecdir}/podman/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue May 16 2023 Miaojun Dong <zoedong@tencent.com> - 1.5.0-2
- remove provides generated by cargo tree

* Tue May 16 2023 Miaojun Dong <zoedong@tencent.com> - 1.5.0-1
- update version to 1.5.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 Miaojun Dong <zoedong@tencent.com> - 1.3.0-1
- initial build
